<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~    http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<ng-container *ngIf="displayDatasetInformation">
  <div class="row mt-3">
    <div class="col-12 font-weight-bold">
      VERIFICATION INPUT
      <hr class="my-1">
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-4">
      Verifier application version
    </div>
    <div class="col-8">Swiss Post Verifier {{appVersion}}</div>
  </div>
  <div *ngIf="isPrintMode()">
    <div class="row">
      <div class="col-4">
        Execution start date / time
      </div>
      <div class="col-8">{{this.startDate}}</div>
    </div>
    <div class="row">
      <div class="col-4">
        Execution end date / time
      </div>
      <div class="col-8">{{getEndDate()}}</div>
    </div>
  </div>
  <div class="row">
    <div class="col-4">
      Election event id
    </div>
    <div class="col-8">{{configuration.context.electionEventId}}</div>
  </div>
  <div class="row">
    <div class="col-4">
      Context data input hash (SHA-256)
    </div>
    <div class="col-8">{{configuration.context.hash}}</div>
  </div>
  <div class="row">
    <div class="col-4">
      <span>{{verifierMode}}</span> data input hash (SHA-256)
    </div>
    <div class="col-8">{{getHash()}}</div>
  </div>
  <div *ngIf="isPrintMode()">
    <div class="row">
      <div class="col-4">
        Executed Verification
      </div>
      <div class="col-8">Verify {{verifierMode}}</div>
    </div>
    <div class="row mt-3">
      <div class="col-12 font-weight-bold">
        CERTIFICATE AUTHENTICITY CHECKS
        <hr class="my-1">
      </div>
    </div>
    <div class="row mt-3">
      <div class="col-4">
        Protocol participant
      </div>
      <div class="col-8">
        Certificate fingerprint (SHA-256)
      </div>
    </div>
    <div class="row">
      <ng-container *ngFor="let name of fingerPrintsNamesKeys()">
        <div class="col-4">{{fingerprintsNames[name]}}</div>
        <div class="col-8">{{configuration.context.aliasesToFingerprints[name]}}</div>
      </ng-container>
    </div>
    <div class="row mt-3 html2pdf-break-page">
      <div class="col-12 font-weight-bold">
        CONFIGURATION CORRECTNESS CHECKS
        <hr class="my-1">
      </div>
    </div>
    <div class="row mt-3">
      <div class="col-4">
        Election Event Name
      </div>
      <div class="col-8">{{configuration.context.electionEventName}}</div>
    </div>
    <div class="row">
      <div class="col-4">
        Election Event Seed
      </div>
      <div class="col-8">{{configuration.context.electionEventSeed}}</div>
    </div>
    <div class="row">
      <div class="col-4">
        Election Event Date
      </div>
      <div class="col-8">{{configuration.context.electionEventDate}}</div>
    </div>
    <div class="row">
      <div class="col-4">
        Number of elections
      </div>
      <div class="col-8">{{configuration.context.numberOfElections}}</div>
    </div>
    <div class="row">
      <div class="col-4">
        Number of votes (Abstimmungen / votations)
      </div>
      <div class="col-8">{{configuration.context.numberOfVotes}}</div>
    </div>
    <div class="row">
      <div class="col-4">
        Number of ballots (Vorlagen / objets)
      </div>
      <div class="col-8">{{configuration.context.numberOfBallots}}</div>
    </div>
    <div class="row">
      <div class="col-4">
        Number of (non-test) ballot boxes
      </div>
      <div class="col-8">{{configuration.context.numberOfNonTestBallotBoxes}}</div>
    </div>
    <div class="row">
      <div class="col-4">
        Number of test ballot boxes
      </div>
      <div class="col-8">{{configuration.context.numberOfTestBallotBoxes}}</div>
    </div>
    <div class="row">
      <div class="col-4">
        Total number of authorized (non-test) voters
      </div>
      <div class="col-8">{{configuration.context.totalNumberOfAuthorizedNonTestVoters}}</div>
    </div>
    <div class="row">
      <div class="col-4">
        Total number of test voters
      </div>
      <div class="col-8">{{configuration.context.totalNumberOfTestVoters}}</div>
    </div>
    <div class="row">
      <div class="col-4">
        Number of confirmed (non-test) votes
      </div>
      <div class="col-8">{{getNumberOfConfirmedNonTestVotes()}}</div>
    </div>
    <div class="row">
      <div class="col-4">
        Number of confirmed test votes
      </div>
      <div class="col-8">{{getNumberOfConfirmedTestVotes()}}</div>
    </div>
    <div class="row mt-3">
      <div class="col-12 font-weight-bold">
        VERIFICATION OVERVIEW
        <hr  class="my-1">
      </div>
    </div>
    <div class="row mt-3">
      <div class="col-4">
        Total number of relevant verifications
      </div>
      <div class="col-8">{{getTotalNumberOfVerifications()}}</div>
    </div>
    <div class="row">
      <div class="col-4">
        Number of successful verifications
      </div>
      <div class="col-8">{{statusCounterOK}}</div>
    </div>
    <div class="row">
      <div class="col-4">
        Number of failed verifications
      </div>
      <div class="col-8">{{statusCounterNOK}}</div>
    </div>
    <div class="row">
      <div class="col-4">
        Number of error verifications
      </div>
      <div class="col-8">{{statusCounterERROR}}</div>
    </div>
  </div>
</ng-container>
